Subject: bug#12373: 24.1; cperl-mode syntax highlighting

From: Stefan Monnier <[email-masked]>
Date: Tue, 30 Oct 2012 22:03:25 -0400

> Here's a real world sample input

>             $fileType_filesButNot = join( '|', map { quotemeta($_).'$' } @{$fileType->{filesButNot}} );

Hmm... handling of $' in Perl is tricky, so I wouldn't be surprised if
it still has bugs, but when I try a Perl file (using cperl-mode) with
just the above line in it, it is displayed correctly both by Emacs-23
and Emacs-24.  Here's the command I used to test:

 % emacs24 -Q --eval "(defalias 'cperl-mode 'perl-mode)" test/indent/perl.perl

And here's the perl.perl file:

   #!/usr/bin/perl

   $fileType_filesButNot           # bug#12373
       = join( '|', map { quotemeta($_).'$' } @{$fileType->{filesButNot}} );

Using `perl-mode' instead of `cperl-mode' also seems to work fine.
Can you send us another test case that exhibits the problem?

        Stefan